KnowledgebaseDTO Class
Response schema for CreateKb operation.
- Inheritance
-
Constructor
KnowledgebaseDTO(**kwargs)
Parameters
- id
-
str
Required
Unique id that identifies a knowledgebase.
- host_name
-
str
Required
URL host name at which the knowledgebase is hosted.
- last_accessed_timestamp
-
str
Required
Time stamp at which the knowledgebase was
last accessed (UTC).
- last_changed_timestamp
-
str
Required
Time stamp at which the knowledgebase was
last modified (UTC).
- last_published_timestamp
-
str
Required
Time stamp at which the knowledgebase was
last published (UTC).
- name
-
str
Required
Friendly name of the knowledgebase.
- user_id
-
str
Required
User who created / owns the knowledgebase.
- urls
-
list[str]
Required
URL sources from which Q-A were extracted and added to the
knowledgebase.
- sources
-
list[str]
Required
Custom sources from which Q-A were extracted or explicitly
added to the knowledgebase.